Create Custom Assistant
curl --request POST \
--url https://{api_endpoint}/v1/assistants/custom \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"instructions": "<string>",
"title": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"nickname": "<string>",
"user_start_messages": [
"<string>"
],
"llm_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_access_enabled": true,
"context_variables": []
}
'import requests
url = "https://{api_endpoint}/v1/assistants/custom"
payload = {
"name": "<string>",
"instructions": "<string>",
"title": "<string>",
"description": "<string>",
"tags": ["<string>"],
"nickname": "<string>",
"user_start_messages": ["<string>"],
"llm_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_access_enabled": True,
"context_variables": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
instructions: '<string>',
title: '<string>',
description: '<string>',
tags: ['<string>'],
nickname: '<string>',
user_start_messages: ['<string>'],
llm_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
context_access_enabled: true,
context_variables: []
})
};
fetch('https://{api_endpoint}/v1/assistants/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Custom Assistants
Create Custom Assistant
Create Custom Assistant
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Enable access to context variables for this agent
List of context variable names that this agent can access
Response
Successful Response
⌘I

